Create a Business User Event

## POST Business User Events `/events/business/user` endpoint allows you to operate on the Business User Events entity. User events are created after the initial `POST /business/users` call (which creates a user) and are used to: * Update the STATE and KYC Status of the user, using the `userStateDetails` or `kycStatusDetails` field * Update the user details, using the `updatedBusinessUserAttributes` field. > If you have neither of the above two use cases, you do not need to use user events. ### Payload Each user event needs three mandatory fields: * `timestamp`- the timestamp of when the event was created or occured in your system * `userId` - The ID of the transaction for which this event is generated. In order to make individual events retrievable, you also need to pass in a unique `eventId` to the request body.

Authentication

x-api-keystring
API keys are used to authenticate the requests.

Query parameters

allowUserTypeConversionenumOptional
Boolean string whether Flagright should allow a Business user event to be applied to a Consumer user with the same user ID. This will converts a Consumer user to a Business user.
Allowed values:
lockKycRiskLevelenumOptional
Boolean string whether Flagright should lock the KYC risk level for the user.
Allowed values:
lockCraRiskLevelenumOptional
Boolean string whether Flagright should lock the CRA risk level for the user.
Allowed values:
changeUserIdenumOptional

Boolean string whether Flagright should change userId of the user. (Note: Only allowed for users with no associated transactions).

Allowed values:

Request

timestampdoubleRequired315529200000-4133890801000
Timestamp of the event
userIdstringRequired>=1 character
Transaction ID the event pertains to
eventIdstringOptional
Unique event ID
reasonstringOptional
Reason for the event or a state change
eventDescriptionstringOptional
Event description
updatedBusinessUserAttributesobjectOptional

Model for a business user - optional fields

newUserIdstringOptional>=1 character

New userId for the existing user (keep in mind all of the future requests for this user will now reference this userId). Requires the changeUserId query param to come in affect.

Response

Created
userIdstring>=1 character
Unique user ID for the user
createdTimestampdouble315529200000-4133890801000
Timestamp when the user was created
legalEntityobject
Model for business user legal entity details
activatedTimestampdoubleOptional315529200000-4133890801000
Timestamp when the user was activated
userStateDetailsobjectOptional
kycStatusDetailsobjectOptional
eoddDatedoubleOptional315529200000-4133890801000
corporateEntitieslist of objectsOptional
Corporate entities of the user
shareHolderslist of objectsOptional

Shareholders (beneficiaries) of the company that hold at least 25% ownership. Can be another company or an individual

directorslist of objectsOptional

Director(s) of the company. Must be at least one

associatedPartieslist of objectsOptional
Parties associated with the company. Can be another company or an individual
businessPartnerslist of objectsOptional
Business partners of the company
transactionLimitsobjectOptional
Model for transaction limits for a given user
expectedTransactionCountriesobjectOptional
Model for expected transaction countries
expectedTransactionCurrenciesobjectOptional
Model for expected transaction currencies
riskLevelenumOptional
kycRiskLevelenumOptional
allowedPaymentMethodslist of enumsOptional
linkedEntitiesobjectOptional
acquisitionChannelenumOptional
Model for User acquisition channel
savedPaymentDetailslist of objectsOptional
mccDetailsobjectOptional
tagslist of objectsOptional
Additional information that can be added via tags
attachmentslist of objectsOptional
User's attachments uploaded by business user
metaDataobjectOptional
Model for device data
jurisdictionstringOptional
Legal authority or region governing the transaction
productsEnabledlist of objectsOptional
pepStatuslist of objectsOptional
sanctionsStatusbooleanOptional
Whether the user is sanctioned
adverseMediaStatusbooleanOptional
Whether the user is in the adverse media list
executedRuleslist of objectsOptional
hitRuleslist of objectsOptional
riskScoreDetailsobjectOptional
messagestringOptional

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error